Unify and manage your data

Clone a versioned hierarchy instance

Learn more about how to use the Clone hierarchy API to clone a hierarchy instance.

Use the Clone a hierarchy instance to create a new hierarchy by cloning an existing hierarchy instance. All hierarchy connections are cloned automatically. This operation requires the MDM.Data.Hierarchy permission with the CREATE privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

POST https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/{instanceId}/clone

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

The request body is a JSON array of connection definition objects.

FieldTypeRequiredDescription
typeStringYesThe hierarchy type name as defined in the business configuration.
nameStringYesThe name of the new hierarchy. It must be unique in the tenant.
hasVersioningBooleanNoIndicates whether the cloned hierarchy is versioned.
versionObjectYes, if hasVersioning=trueThe object that describes the version to create.
nameStringSee versionThe name of the version.
statusStringSee versionOptional. The status of the version.
effectiveStartDateStringSee versionOptional. The start effective date of the version in ISO 8601 date format.
effectiveEndDateStringSee versionOptional. The end effective date of the version in ISO 8601 date format.
descriptionStringSee versionOptional. The description of the version.
contextStringSee versionOptional. Additional context for the version.

Example request

Use the following example to see how a complete request is structured with headers.

POST /prd.version1/clone
Authorization: Bearer <token>

{
  "type": "configuration/hierarchyTypes/TypeProduct",
  "name": "Cloned Product Hierarchy",
  "hasVersioning": true,
  "version": {
    "name": "Version 2",
    "status": "ACTIVE",
    "effectiveStartDate": "2024-01-01",
    "effectiveEndDate": "2026-12-31",
    "description": "longDescription",
    "context": "longContextDescription"
  }
}

Response fields

The following table describes the fields returned in the response body, which is an array of hierarchy connection objects.

FieldTypeDescription
typeStringThe hierarchy type name as defined in the business configuration.
nameStringThe name of the hierarchy. It must be unique within the tenant.
hasVersioningBooleanIndicates whether the hierarchy is versioned.
hierarchyIdStringThe ID of the created hierarchy.
instanceIdStringThe ID of the created hierarchy instance.
versionObjectOptional. The created hierarchy version.
versionIdStringThe ID of the created version.
nameStringThe name of the version. It must be unique within the hierarchy.
statusStringOptional. The status of the version.
effectiveStartDateStringOptional. The start effective date of the version in ISO 8601 date format.
effectiveEndDateStringOptional. The end effective date of the version in ISO 8601 date format.
descriptionStringOptional. The description of the version.
contextStringOptional. Additional context for the version.
createdByStringThe username of the user who created the hierarchy.
createdTimeStringThe time when the hierarchy was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the hierarchy.
updatedTimeStringThe time when the hierarchy was last updated, in ISO 8601 date-time format.

Example response

The following example shows the response body.

{
  "type": "configuration/hierarchyTypes/TypeProduct",
  "name": "Cloned Product Hierarchy",
  "hasVersioning": true,
  "hierarchyId": "0ABlc0A",
  "instanceId": "0ABlc0A.0ABlgGQ",
  "version": {
    "versionId": "0ABlgGQ",
    "name": "Version 2",
    "status": "ACTIVE",
    "effectiveStartDate": "2024-01-01",
    "effectiveEndDate": "2026-12-31",
    "description": "longDescription",
    "context": "longContextDescription"
  },
  "createdBy": "email@reltio.com",
  "createdTime": "2025-04-01T13:30:00",
  "updatedBy": "email@reltio.com",
  "updatedTime": "2025-04-01T13:30:00"
}

The following table lists the possible error responses returned by this API.
HTTP statusDescriptionRecommended action
400 Bad RequestThe request contains invalid or missing parameters.Review the error message, correct the request as indicated, and submit the request again. For example, if the error identifies a duplicate version name, specify a unique name before resubmitting the request.